#
# spec file for package openexr (Version 1.7.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           openexr
Summary:        Utilities for work with HDR images in OpenEXR format
Version:        1.7.0
Release:        1
License:        BSD3c(or similar) ; GPLv2+
Group:          Productivity/Graphics/Other
Url:            http://www.openexr.com/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libilmbase-devel
BuildRequires:  fltk-devel
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  libdrm-devel
# bug437293
%ifarch ppc64
Obsoletes:      OpenEXR-64bit
%endif
#
Source0:        %{name}-%version.tar.bz2
Source1:        baselibs.conf
Patch0:         openexr-suse-docdir.patch
Patch1:         openexr-includes.patch
# not necessary with --enable-large-stack
# Patch5:         openexr-1.7.0-CVE-2009-1721.diff

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications. This package
contains a set of utilities to work with this format.

* exrheader, a utility for dumping header information
* exrstdattr, a utility for modifying OpenEXR standard attributes
* exrmaketiled, for generating tiled and rip/mipmapped images
* exrenvmap, for creating OpenEXR environment maps
* exrmakepreview, for creating preview images for OpenEXR files
* exr2aces, converter to ACES format
* exrmultiview, combine two or more images into one multi-view

%package -n libIlmImf6
License:        BSD3c(or similar) ; GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Obsoletes:      OpenEXR <= 1.6.1
Provides:       OpenEXR = %{version}
# provide also the most expected symbol
Provides:       libopenexr6 = %{version}

%description -n libIlmImf6
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains libIlmImf.so.6

%package -n libopenexr-devel
License:        BSD3c(or similar) ; GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library to Handle EXR Pictures (16-bit floating-point format)
Obsoletes:      OpenEXR-devel <= 1.6.1
Provides:       OpenEXR-devel = %{version}
Requires:       libopenexr6 = %{version}
Requires:       zlib-devel
Requires:       libilmbase-devel
Requires:       pkg-config

%description -n libopenexr-devel
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains header files.

%package doc
License:        BSD3c(or similar) ; GPLv2+
Group:          Development/Libraries/C and C++
Summary:        Library to Handle EXR Pictures in 16-Bit Floating-Point Format
Obsoletes:      OpenEXR-doc <= 1.6.1
Provides:       OpenEXR-doc = %{version}

%description doc
OpenEXR is a high dynamic-range (HDR) image file format developed by
Industrial Light & Magic for use in computer imaging applications.

This package contains a documentation

%prep
%setup -q -n %{name}-%{version}
%patch0 -b .sav
%patch1 -b .sav
# % patch5 -p1 -b .CVE-2009-1721
# rename a non-linux file
%{__rm} README.win32 README.OSX

%build
#autoreconf --force --install --include=config
#
export PTHREAD_LIBS="-lpthread"
%{configure} \
   --disable-static \
   --with-pic \
   --enable-large-stack \
   --enable-imfexamples \
   --enable-imfuzztest
%{__make} %{?jobs:-j%jobs}

%install
%{makeinstall}
%{__rm} -f %{buildroot}%{_libdir}/*.la

%check
%{__make} check

%post -n libIlmImf6 -p /sbin/ldconfig

%postun -n libIlmImf6 -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE NEWS README*
%{_bindir}/exrenvmap
%{_bindir}/exrheader
%{_bindir}/exrmakepreview
%{_bindir}/exrmaketiled
%{_bindir}/exrstdattr
%{_bindir}/exr2aces
%{_bindir}/exrmultiview

%files -n libIlmImf6
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libIlmImf.so.*

%files -n libopenexr-devel
%defattr(-,root,root)
%{_includedir}/OpenEXR
%{_libdir}/libIlmImf.so
%{_libdir}/pkgconfig/OpenEXR.pc
%{_datadir}/aclocal/openexr.m4

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}-%{version}

%changelog
